### Method

# St Shadow get_box

#### Declaration [src]

    void
    st_shadow_get_box (
      StShadow* shadow,
      const ClutterActorBox* actor_box,
      ClutterActorBox* shadow_box
    )

#### Description [src]

Gets the box used to paint `shadow`, which will be partly outside of `actor_box`.

#### Parameters

`actor_box`

  Type: `ClutterActorBox`

  The box allocated to a `ClutterAlctor`.

  The data is owned by the caller of the method.

`shadow_box`

  Type: `ClutterActorBox`

  Computed box occupied by `shadow`.

  The data is owned by the caller of the method.